Name:           cw
Version:        1.0.16
Release:        %mkrel 7
Summary:        Non-intrusive real-time ANSI color wrapper for common commands
License:        GPLv2+
Group:          Development/Other
URL:            http://cwrapper.sourceforge.net/
Source0:        http://cwrapper.sourceforge.net/%{name}-%{version}.tar.bz2

%description
cw is a non-intrusive real-time ANSI color wrapper for common Unix-based 
commands on GNU/Linux. cw is designed to simulate the environment of the 
commands being executed, so that if a person types 'du', 'df', 'ping', 
etc. in their shell it will automatically color the output in real-time 
according to a definition file containing the color format desired. cw 
has support for wildcard match coloring, tokenized coloring, 
headers/footers, case scenario coloring, command line dependent 
definition coloring, and includes over 50 pre-made definition files.


%prep
%setup -q
%{__perl} -pi -e 's/ -o 0 -g 0//g' Makefile.in
%{__perl} -pi -e 's|/usr/local/lib|%{_datadir}|g' README

%build
%{configure2_5x}
%{make} LIBDIR=%{_datadir}

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_datadir}
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{make} install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_datadir} MANDIR=%{buildroot}%{_mandir}
%{__rm} %{buildroot}%{_bindir}/cwe
%{__ln_s} cw %{buildroot}%{_bindir}/cwe

%{__perl} -pi -e 's|CWLIB=.*|CWLIB="%{_datadir}/%{name}"|g' %{buildroot}%{_bindir}/colorcfg
%{__perl} -pi -e 's|%{buildroot}||g' %{buildroot}%{_datadir}/%{name}/*

%files
%doc CHANGES CONTRIB cw.lsm FILES MD5SUM README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.0.16-7.mga6
+ Revision: 936402
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.16-6.mga5
+ Revision: 739021
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.0.16-5.mga5
+ Revision: 725021
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.16-4.mga5
+ Revision: 678651
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.16-3.mga4
+ Revision: 503662
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.16-2.mga3
+ Revision: 348522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 06 2012 solbu <solbu> 1.0.16-1.mga3
+ Revision: 268351
- imported package cw

